As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 658210 - Separate thumbnail storage from the current storage
: Separate thumbnail storage from the current storage
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- enhancement
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 627239
Blocks: 660175
  Show dependency treegraph
 
Reported: 2011-05-19 02:39 PDT by Tim Taubert [:ttaubert]
Modified: 2016-04-12 14:00 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Tim Taubert [:ttaubert] 2011-05-19 02:39:46 PDT
We should create a "ThumbnailStorage" in storage.js that handles all our thumbnail saving/loading stuff.

We definitely want to load thumbnails asynchronously. If this is too much for the scope of this bug we should at least provide an async API that acts sync in the background for now and file a follow-up bug.
Comment 1 User image Tim Taubert [:ttaubert] 2011-05-19 02:47:26 PDT
Oh, of course we already load thumbnails asynchronously. What I wanted to say is we should load them in parallel. Maybe that's another bug though :)
Comment 2 User image Tim Taubert [:ttaubert] 2011-05-27 02:23:56 PDT
bugspam
Comment 3 User image Tim Taubert [:ttaubert] 2011-05-27 02:28:53 PDT
bugspam
Comment 4 User image Raymond Lee [:raymondlee] 2011-07-18 01:23:24 PDT
This bug has already been fixed by the patch in bug 627239

Note You need to log in before you can comment on or make changes to this bug.